%global dlrn_nvr os-net-config-11.5.1.dev11-2.20220404114957.173ef73
%global dlrn 1
%define upstream_version 11.5.1.dev11
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}


Name:			os-net-config
Version: 11.5.1
Release: 2.20220404114957.173ef73%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0: os-net-config-11.5.1.dev11-2.20220404114957.173ef73.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=173ef73870df0f5214c093e57adef92aeb44d16d
Patch0001: 0001-Revert-Updating-sriov_config.service-to-run-before-d.patch
Patch0002: 0002-Fix-failure-in-dpdk-driver-binding-with-VF-during-re.patch

Requires:	initscripts
Requires:	iproute
Requires:	ethtool
Requires:	dhclient

BuildArch:	noarch

BuildRequires:	python%{pyver}-setuptools
BuildRequires:	python%{pyver}-devel
BuildRequires:	python%{pyver}-pbr
BuildRequires:	python%{pyver}-sphinx
BuildRequires:	python%{pyver}-openstackdocstheme

Requires:	python%{pyver}-eventlet >= 0.18.2
Requires:	python%{pyver}-oslo-concurrency >= 3.8.0
Requires:	python%{pyver}-oslo-config
Requires:	python%{pyver}-oslo-utils >= 3.20.0
Requires:	python%{pyver}-netaddr >= 0.7.13
Requires:	python%{pyver}-iso8601 >= 0.1.11
Requires:	python%{pyver}-six >= 1.9.0
Requires:	python%{pyver}-pbr >= 2.0.0
Requires:	python%{pyver}-jsonschema >= 2.0.0

%if %{pyver} == 2
Requires:	PyYAML >= 3.10
Requires:	python-anyjson >= 0.3.3
Requires:	python-pyudev >= 0.16.1
%else
Requires:	python%{pyver}-PyYAML >= 3.10
Requires:	python%{pyver}-anyjson >= 0.3.3
Requires:	python%{pyver}-pyudev >= 0.16.1
%endif

%if 0%{?rhel} > 7
# RHEL8 requires a network-scripts package for ifcfg backwards compatibility
Requires:   network-scripts
%endif

%description
Host network configuration tool for OpenStack.

%prep

%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

%build
%{pyver_build}
%{pyver_bin} setup.py build_sphinx

%install
%{pyver_install}

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{_bindir}/os-net-config-sriov
%{pyver_sitelib}/os_net_config*

%changelog
* Mon Apr 04 2022 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20220404114957.173ef73
- Fix failure in dpdk driver binding with VF during reboot (rhbz#1986423)

* Thu Mar 03 2022 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20220303155030.173ef73
- Revert "Updating sriov_config.service to run before driverctl.slice and network-pre"

* Fri Feb 04 2022 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20220204125254.173ef73
- Update patches
- For linux bond over VFs, disable spoofcheck by default

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20220123014844.f560c56
- Update patches

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20220123005237.f560c56
- Update patches
- Adding steering_mode config to sriov_pf object

* Thu Jan 20 2022 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20220120225222.0b31308
- Update patches
- The default max/min tx rates shall not halt deployment

* Thu Jan 20 2022 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20220120114842.d9e94d8
- Adding steering_mode config to sriov_pf object

* Mon Dec 06 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20211207004922.d9e94d8
- Update patches
- Add ifcfg-* scripts on boot for Mellanox NIC interface

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20211112141000.62d4b0f
- Update patches
- Update sriov config service to handle nic partitioned PF

* Mon Nov 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20211108120652.eee0496
- Update patches
- sriov_config: light refactoring
- Fix upper constraints

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20211007004941.8691098
- Update patches
- Updating sriov_config.service to run before driverctl.slice and network-pre

* Fri Sep 10 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210911004812.8f08b73
- Update patches
- Allow linux tap to use routes

* Thu Sep 02 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210902124815.69699cd
- Update patches
- allow vhost0 to pass list of members

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210727165930.2e29b5a
- Update patches
- Avoid creating multiple entries of udev rules

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-2.20210528113720.48c6710
- Update patches

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Updating sriov_config service to run after openibd service

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Exclude DPDK mapped VF device even if not present

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Check to ensure active DPDK NICs only mapped once

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- basic support for Linux tap devices

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Wire up new tripleo upgrades jobs template

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Mon Nov 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fixing the dependency for sriov_config service

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Fri Oct 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Enable smfs software steering when switchdev is enabled

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- [train] Switch to content provider jobs/templates

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add NIC Partitioning support for Mellanox VFs

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Avoid openvswitch restarts during re-run

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Set OVSBOOTPROTO to dhcp when using dhcpv6 with OVS

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Skip VFs configured for DPDKs during NIC ordering

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Retries are attempted if VF configuration fails

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Run ifup on a bond when a slave interface is restarted
- SRIOV VF: Add min_tx_rate and max_tx_rate

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Enable new routing rules on the fly without restarting interfaces

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- We need to use the MAC instead of PCI Address for Mellanox cards

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Adding testcases for sriov_config

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Cleanup the sriov_numvfs config scripts

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Update .gitreview for stable/train

* Mon Sep 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add linkdelay option"
- Add linkdelay option


